MSR_PARSE(3)

DESCRIPTION
Parse, validate and print details of a SEED data record

SYNOPSIS
#include <libmseed.h>
int  ms_parse_raw ( char *record, int maxreclen,
                    flag details, flag swapflag );

DESCRIPTION
ms_parse_raw is a simple validating SEED data record header parser. The data in record is assumed to contain a SEED data record with a maximum length of maxreclen. In addition to validating header fields where possible, raw header fields can be printed. This routine is primarily intended for identifying invalid data record headers and printing record header contents. The details flag is interpreted as follows:
  0 = only print error messages for invalid header fields
  1 = print basic fields in addition to invalid field errors
  2 = print all fields in addition to invalid field errors
The swapflag flag is interpreted as follows:
  1 = swap multibyte quantities
  0 = do no swapping
 -1 = autodetect byte order using year test, swap if needed

RETURN VALUES
ms_parse_raw returns 0 when no errors were detected or a positive count of errors detected.

SEE ALSO
msr_parse(3) and ms_detect(3)

AUTHOR
Chad Trabant
IRIS Data Management Center